Page MenuHomePhabricator

Allow restbase url to be set directly in Citoid extension, overwriting the VE url.
Closed, ResolvedPublic

Description

Right now the Citoid extension relies on Citoid being behind restbase, and uses the url gotten from the VE config. However, it would also be helpful to expose a restbase url to the config for future use, such as Wikidata config. (i.e. on mw.config on wikidata right now, wgCitoidConfig = {
citoidServiceUrl :"https://citoid.wikimedia.org/api"} which is a deprecated url.

The other use case is people wanting to use citoid's public API on their own wiki, see: https://www.mediawiki.org/wiki/Topic:Ugk074v207yxgao8

Event Timeline

Mvolz created this task.Aug 20 2018, 11:04 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 20 2018, 11:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mvolz updated the task description. (Show Details)Aug 20 2018, 11:06 AM
Deskana edited projects, added Citoid; removed VisualEditor.
Mvolz claimed this task.Nov 15 2018, 11:30 AM

Change 473720 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/extensions/Citoid@master] [WIP] Add configuration variable for citoid service

https://gerrit.wikimedia.org/r/473720

Mvolz triaged this task as Normal priority.Nov 16 2018, 4:31 PM

Change 473720 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] Add configuration variable for citoid service

https://gerrit.wikimedia.org/r/473720

matmarex added a subscriber: matmarex.

(The new configuration will not be used on Wikimedia wikis, but mostly meant for local testing, so moving to Engineering QA)

ppelberg closed this task as Resolved.Mar 6 2019, 7:47 PM